<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <title>div inside ul | WCAG 2.1 Syntax Test Page</title>
    <link rel="stylesheet" type="text/css" media="screen" href="../../../css/unstyled.css" title="unstyled" />
    <link rel="top" href="../../../index.html" title="Accessibility Works: Home page" />
  </head>
  <body>
    <header>
      <h1><code>div</code> inside <code>ul</code></h1>
    </header>
    <main>
      <p>List with a <code>div</code> inside <code>ul</code>:</p>
      <ul>
        <div>
          <li>apples
          <li>oranges
          <li>pears
          <li>cherries
        </div>
      </ul>
      <p>Normal list (for comparison):</p>
      <ul>
        <li>tea
        <li>beer
        <li>wine
        <li>water
      </ul>

      <p>List manipulated with JavaScript:</p>
      <ul id="vegetables">
        <li>tomatoes
        <li>onions
        <li>beans
      </ul>

      <script>
        var veggielist = document.getElementById("vegetables");
        var peas = document.createElement("li");
        peas.appendChild(document.createTextNode("peas"));
        veggielist.appendChild(peas);
        var potatoChips = document.createElement("p");
        potatoChips.appendChild(document.createTextNode("potato chips!"));
        veggielist.appendChild(potatoChips);
      </script>
    </main>
  </body>
</html>
<!--test file inspired by comment by Steve Faulkner: https://github.com/w3c/wcag/issues/2525#issuecomment-1188878117 -->
